// GetNetworkStatus.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <math.h>
#include "MxProMonApi.h"

int _tmain(int argc, _TCHAR* argv[])
{
	int connectionStatus = 0;
	int linkSpeed = 0;
	int utilization = 0;
	int networkAdapterCount = 0;

	/* Get number of network adapter */
	GetEthCount(&networkAdapterCount);
	printf("Network adapter count = %d\n\n", networkAdapterCount);
	
	for (int netAdpterIndex = 0; netAdpterIndex < networkAdapterCount; netAdpterIndex++)
	{
		printf("Network Adpter Index = %d\n", netAdpterIndex);

		/* Get network connection status */
		GetEthLink((netAdpterIndex + 1), &connectionStatus);
		printf("Connection Status = %d\n", connectionStatus);

		/* Get network link speed */
		GetEthSpeed((netAdpterIndex + 1), &linkSpeed);
		printf("Link speed = %d Mbps\n", linkSpeed);

		/* Get network utilization */
		GetEthUsage((netAdpterIndex + 1), &utilization);
		printf("Network utilization = %d\n\n", utilization);
	}
	return 0;
}

