// GetSerialStatus.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include "MxProMonApi.h"

int _tmain(int argc, _TCHAR* argv[])
{
	int uartStatus = 0;
	int uartCount = 0;

	/* Get serial port count */
	GetUartCount(&uartCount);
	printf("Uart count = %d\n", uartCount);

	/* Get serial port status */ 
	for (int uartIndex = 0; uartIndex < uartCount; uartIndex++)
	{
		GetUartStatus((uartIndex + 1), &uartStatus);

		if (uartStatus == 1)
		{
			printf("COM%d is In Use\n", (uartIndex + 1));
		}
		else
		{
			printf("COM%d is available\n", (uartIndex + 1));
		}
	}

	return 0;
}

